Name: 		Hermes
Version: 	1.3.2
Release: 	gst.2
Summary: 	HERMES pixel format conversion library.

Group: 		System Environment/Libraries
License: 	LGPL
URL: 		http://clanlib.org/hermes/
Source: 	http://dark.x.dtu.dk/~mbn/clanlib/download/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root

%description
HERMES is a library designed to convert a source buffer with a specified pixel
format to a destination buffer with possibly a different format at the maximum
possible speed.

On x86 and MMX architectures, handwritten assembler routines are taking over
the job and doing it lightning fast.

On top of that, HERMES provides fast surface clearing, stretching and some
dithering. Supported platforms are basically all that have an ANSI C compiler
as there is no platform specific code but those are supported: DOS, Win32
(Visual C), Linux, FreeBSD (IRIX, Solaris are on hold at the moment), some BeOS
support.

%package devel
Summary: 	Development tools for %{name}.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}

%description devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ NEWS README TODO*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc docs/api/*.htm docs/api/*.txt
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- remove .la
- release .2

* Thu Jun 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Adapted from FrehsRPMS spec for GStreamer packaging

* Fri Feb  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup s/Copyright/License/ and fixes.

* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- fixed bad groups

* Tue Nov 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to Powertools (was Extrabinge)
- Fix build on alpha
- Don't include INSTALL.DOS in the docs

