Name: 		alsa-lib
Version: 	0.9.0
Release: 	gst.0.2.1
Summary: 	Advanced Linux Sound Architecture Libraries

Group: 		System/Libraries
License: 	LGPL
URL:		http://www.alsa-project.org/
Vendor:		GStreamer Backpackers Team <package@gstreamer.net>
Source: 	ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}rc2.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

#Requires:	alsa-drivers
BuildRequires:	alsa-driver
# to get the .m4 installed, we could also create the aclocal dir
BuildRequires:	automake

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. 
ALSA has the following significant features:

1. Efficient support for all types of audio interfaces, 
   from consumer soundcards to professional multichannel audio interfaces.
2. Fully modularized sound drivers.
3. SMP and thread-safe design.
4. User space library (alsa-lib) to simplify application programming and 
   provide higher level functionality.
5. Support for the older OSS API, providing binary compatibility for most 
   OSS programs. 

%package -n alsa-lib-devel
Summary: 	ALSA Libraries Development Files
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description -n alsa-lib-devel
Development files for building applications which use the ALSA libraries.

%prep
%setup -n %{name}-%{version}rc2

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-debug=no 
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/alsa

%files -n alsa-lib-devel
%defattr(-,root,root)
%{_includedir}/alsa
%{_includedir}/sys/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*

%changelog
* Fri Jul 12 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from SuSe SPEC files for GStreamer
- updated to rc2

