Name: 		ladspa 
Version: 	1.11
Release: 	gst.1
Summary: 	LADSPA SDK, example plug-ins and tools.

Group: 		Libraries/Multimedia
License: 	LGPL
URL: 		http://www.ladspa.org/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
%define 	tarname ladspa_sdk
Source:		http://www.ladspa.org/download/%{tarname}.tgz
BuildRoot: 	%{_tmppath}/%{name}-root

BuildRequires:	perl
BuildRequires: 	gcc-c++

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

This package contains the example plug-ins and tools from the LADSPA SDK.

%package devel
Summary:	Linux Audio Developer's Simple Plug-in API
Group: 		Development/Libraries
Requires: 	%{name} = %{version}

%description devel
ladspa-devel contains the ladspa.h header file.

Definitive technical documentation on LADSPA plug-ins for both the host
and plug-in is contained within copious comments within the ladspa.h
header file.

%prep
%setup -q -n %tarname
cd doc
#fix links to the header file in the docs
perl -pi -e "s!HREF=\"ladspa.h.txt\"!href=\"file:///usr/include/ladspa.h\"!" *.html

%build
cd src
make targets

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd src
## ladspa_sdk uses mkdirhier for install which is provided by XFree86
## we don't want to depend on XFree86 for building
## so let's make these dirs ourselves
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ladspa
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/ladspa
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/ladspa

make install \
  INSTALL_PLUGINS_DIR=$RPM_BUILD_ROOT/%{_libdir}/ladspa \
  INSTALL_INCLUDE_DIR=$RPM_BUILD_ROOT/%{_includedir} \
  INSTALL_BINARY_DIR=$RPM_BUILD_ROOT/%{_bindir}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/COPYING
%{_libdir}/ladspa/*.so
%{_bindir}/analyseplugin
%{_bindir}/applyplugin
%{_bindir}/listplugins

%files devel
%defattr(-,root,root)
%doc doc/*.html doc/COPYING
%_includedir/ladspa.h

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- some fixes
- release 2

* Tue Jun 04 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from Mandrake spec for GStreamer packaging

* Thu Mar 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.11-1mdk
- initial package
