Name: 		lame
Version: 	3.92
Release: 	gst.2
Summary: 	LAME Ain't an MP3 Encoder.

Group: 		Applications/Multimedia
License: 	LGPL
URL: 		http://www.mp3dev.org/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source: 	http://belnet.dl.sourceforge.net/sourceforge/lame/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root

# re-enable nasm when it builds again with stock nasms
#BuildRequires:	nasm
Provides: 	mp3encoder
Conflicts:	lame-libs

%description
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3. Another goal of
the LAME project is to use these improvements for the basis of a patent
free audio compression codec for the GNU project.

%package devel
Summary: 	LAME MP3 encoder and library development files.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description devel
lame-devel contains the files necessary to build packages that use the lame
library.

%prep
%setup -q

%build
# We want to be optimized to the bone!
# You know what? This i386 stuff is as good as if it was only i686 and
# the MMX code is enabled at runtime if found! So this is gooooood :-)
export CC_OPTS="-O3 -march=i386 -mcpu=i686 -fomit-frame-pointer -fno-strength-reduce -malign-functions=4 -funroll-loops -ffast-math"

# Vorbis makes the build fail...
# stock nasm makes the build fail ...
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--enable-decoder \
	--without-vorbis \
	--enable-analyser=no \
	--enable-brhist
#	--enable-mp3x
make ## %{?_smp_mflags} CC="gcc3" CFLAGS="${CC_OPTS}" test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr (-, root, root)
%doc COPYING ChangeLog README TODO USAGE
%doc doc/html/*.html
%{_bindir}/lame
%{_libdir}/libmp3lame.so.*
%{_mandir}/man1/lame.1*

%files devel
%defattr (-, root, root)
%doc API HACKING STYLEGUIDE
%{_libdir}/libmp3lame.a
%{_libdir}/libmp3lame.so
%{_includedir}/lame/lame.h

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- removed .la
- release 2

* Wed Jun 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Adapted for GStreamer packaging from freshrpms spec
- took out nasm since it doesn't work with stock nasm

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Wed Apr 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.92.

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added a symlink from lame.h to lame/lame.h to fix some include file
  detection for most recent programs that use lame.

* Wed Jan  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.91.
- Simplified the compilation optimizations after heavy home-made tests.
- Now build only i386 version but optimized for i686. Don't worry i686
  owners, you loose only 1% in speed but gain about 45% compared to if
  you had no optimizations at all!

* Mon Dec 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.90.1.
- Enabled the GTK+ frame analyzer.
- Spec file cleanup (CVS, man page, bindir are now fixed).

* Fri Nov 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt with mpg123 decoding support.

* Tue Oct 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the %pre and %post that should have been %post and %postun, silly me!
- Removed -malign-double (it's evil, Yosi told me and I tested, brrr ;-)).
- Now build with gcc3, VBR encoding gets a hell of a boost, impressive!
  I recommend you now use "lame --r3mix", it's the best.
- Tried to re-enable vorbis, but it's a no-go.

* Thu Jul 26 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Build with kgcc to have VBR working.

* Wed Jul 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.89beta : Must be built with a non-patched version of nasm
  to work!

* Mon May  7 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.
- Disabled the vorbis support since it fails to build with it.
- Added a big optimisation section, thanks to Yosi Markovich
  <senna@camelot.com> for this and other pointers.

* Sun Feb 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split the package, there is now a -devel

* Thu Oct 26 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0 from scratch

