Name:		mad
Version:	0.14.2b
Release:	gst.4
Summary:	MPEG audio fixed-point decoder and library

Group:		Libraries/Multimedia
License:	LGPL
URL:		http://mad.sourceforge.net/
Vendor:		GStreamer Backpackers Team <package@gstreamer.net>
Source:		ftp://ftp.mars.org/pub/mpeg/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root

Requires:	zlib
BuildRequires:	zlib-devel
Conflicts:	mad-libs

%description
mad is a high-quality fixed-point (integer) MPEG audio decoder and library.

%package devel
Summary:	MPEG audio fixed-point decoder and library development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
mad-devel contains the files necessary to build packages that use the mad
library.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README
%doc %{_mandir}/man1/*.1*
%{_libdir}/libmad.so.*
%{_libdir}/libid3tag.so.*
%{_bindir}/madplay
%{_bindir}/abxtest
%{_datadir}/locale/*/*/*

%files devel
%defattr(-,root,root)
%{_includedir}/mad.h
%{_libdir}/libmad.a
%{_libdir}/libmad.so
%{_includedir}/id3tag.h
%{_libdir}/libid3tag.a
%{_libdir}/libid3tag.so

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- removed .la
- release 4

* Thu Jun 06 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added zlib as requires and buildrequires (which is needed by libid3tag)

* Wed Jun 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved to defines for file locations
- added right Source location

* Wed May 08 2002 Erik Walthinsen <omega@temple-baptist.com>
- changed to %makeinstall
- use wildcards instead of specific files where possible

* Sat Apr 27 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added libid3tag
- added locale stuff
- conflict with mad-libs (from PLD)

* Fri Apr 12 2002 Erik Walthinsen <omega@temple-baptist.com>
- initial spec file created for GStreamer Red-carpet channel
