Name: 		valgrind
Version: 	1.0pre3
Release: 	1
Summary: 	Valgrind Memory Debugger.

Group: 		Development/Debuggers
License: 	GPL
URL:		http://developer.kde.org/~sewardj/
Source:		http://developer.kde.org/~sewardj/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description 
Valgrind is a GPL'd tool to help you find memory-management problems
in your programs. When a program is run under Valgrind's supervision,
all reads and writes of memory are checked, and calls to
malloc/new/free/delete are intercepted. As a result, Valgrind can
detect problems such as:

- Use of uninitialised memory 
- Reading/writing memory after it has been free'd 
- Reading/writing off the end of malloc'd blocks 
- Reading/writing inappropriate areas on the stack 
- Memory leaks -- where pointers to malloc'd blocks are lost forever
- Passing of uninitialised and/or unaddressible memory to system calls
- Mismatched use of malloc/new/new [] vs free/delete/delete []

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc /usr/share/doc/valgrind/*
/usr/bin/valgrind
/usr/lib/valgrind/*
/usr/include/valgrind.h

%changelog
* Fri Jun 28 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Repackaged from original spec file

