Name:           sweep
Version:        0.5.7
Release:        2
Summary: 	Sound wave editor

Group:          Applications/Multimedia
License:        GPL
URL:            http://sweep.sourceforge.net/
Packager:       Thomas Vander Stichele <thomas (at) apestaart (dot) org>
Source:         http://belnet.dl.sourceforge.net/sourceforge/sweep/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires:	tdb >= 1.0.6
Requires:	libsndfile >= 1.0.1
Requires:	libvorbis
Requires:       gtk+ >= 1.2.0

BuildRequires:	tdb-devel >= 1.0.6
BuildRequires:	libsndfile-devel >= 1.0.1
BuildRequires:  gtk+-devel >= 1.2.0
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig

%description
Sweep is an editor for sound samples. It operates on files of various
formats such as .wav, .aiff and .au, and has multiple undo/redo levels
and filters. It supports audio filter plugins from the LADSPA project.

%package        devel
Summary:        Sweep plugin development kit
Group:          Applications/Sound
Requires:       %{name} = %{version}

%description    devel
The sweep-devel package contains header files and documentation for writing
plugins for Sweep, a sound wave editor.

Install sweep-devel if you're going to create plugins for Sweep. You will
also need to install sweep.

%prep
%setup
LINGUAS="fr hu it de" CFLAGS=$RPM_OPT_FLAGS \
  ./configure --prefix=%{_prefix} --mandir=%{_mandir}

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS NEWS README ChangeLog
%doc README.Solaris README.ALSA
%doc doc/*.txt
%{_bindir}/sweep
%{_libdir}/sweep/libladspameta.so
%{_libdir}/sweep/libecho.so
%{_libdir}/sweep/libnormalise.so
%{_libdir}/sweep/libreverse.so
%{_libdir}/sweep/libbyenergy.so
%{_mandir}/man1/sweep.1*
%{_datadir}/pixmaps/sweep.png
%{_datadir}/sweep/sweep_logo.ppm
%{_datadir}/gnome/apps/Multimedia/sweep.desktop
%{_datadir}/locale/*/*/*

%files devel
%defattr(-,root,root)
%doc doc/plugin_writers_guide.txt
%{_includedir}/sweep/sweep*.h
%{_libdir}/sweep/libladspameta.so.*
%{_libdir}/sweep/libecho.so.*
%{_libdir}/sweep/libnormalise.so.*
%{_libdir}/sweep/libreverse.so.*
%{_libdir}/sweep/libbyenergy.so.*
%{_libdir}/sweep/libladspameta.a
%{_libdir}/sweep/libecho.a
%{_libdir}/sweep/libnormalise.a
%{_libdir}/sweep/libreverse.a
%{_libdir}/sweep/libbyenergy.a

%changelog
* Fri Oct 11 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Updated for 0.5.7

* Sun Oct 08 2000 Conrad Parker <conrad@vergenet.net>
- updated for sweep version 0.1.0
- added devel package
- added packaging of plugins
- added documentation
